## net.i2p.router.startup
Class LoadClientAppsJob.DelayedRunClient

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.startup.LoadClientAppsJob.DelayedRunClient

All Implemented Interfaces:
  Job

Enclosing class:
  LoadClientAppsJob

    public static class LoadClientAppsJob.DelayedRunClient

extends JobImpl

Constructor Summary
`LoadClientAppsJob.DelayedRunClient(RouterContext enclosingContext, String className, String clientName, String[] args, long delay)`
`LoadClientAppsJob.DelayedRunClient(RouterContext enclosingContext, String className, String clientName, String[] args, long delay, ThreadGroup threadGroup, ClassLoader cl)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadClientAppsJob.DelayedRunClient

    public LoadClientAppsJob.DelayedRunClient(RouterContext enclosingContext,
                                              String className,
                                              String clientName,
                                              String[] args,
                                              long delay)

### LoadClientAppsJob.DelayedRunClient

    public LoadClientAppsJob.DelayedRunClient(RouterContext enclosingContext,
                                              String className,
                                              String clientName,
                                              String[] args,
                                              long delay,
                                              ThreadGroup threadGroup,
                                              ClassLoader cl)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.